> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Models



## OpenAPI

````yaml GET /models
openapi: 3.0.1
info:
  title: FlexAI API
  description: API for managing datasets, fine-tuning models, and handling ML tasks
  version: 1.0.0
servers:
  - url: https://api.getflex.ai/v1
security:
  - bearerAuth: []
paths:
  /models:
    get:
      summary: List Models
      operationId: listModels
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Model'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    Model:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        default_config:
          type: object
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  responses:
    InternalServerError:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````